summaryrefslogtreecommitdiffstats
path: root/karm/test/delete.sh
diff options
context:
space:
mode:
Diffstat (limited to 'karm/test/delete.sh')
-rwxr-xr-xkarm/test/delete.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/karm/test/delete.sh b/karm/test/delete.sh
new file mode 100755
index 00000000..78f04a7d
--- /dev/null
+++ b/karm/test/delete.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# check if deleting a task works
+
+exec >> check.log 2>&1
+
+TESTFILE="/tmp/testkarm1.ics"
+rm $TESTFILE
+
+source __lib.sh
+
+set_up
+
+# do not prompt on deleting a task
+GPOD=`dcop $DCOPID KarmDCOPIface getpromptdelete 2>/dev/null`
+RVAL=`dcop $DCOPID KarmDCOPIface setpromptdelete 0 2>/dev/null`
+
+RVAL=`dcop $DCOPID KarmDCOPIface addTask todo1 2>/dev/null`
+RVAL=`dcop $DCOPID KarmDCOPIface addTask todo2 2>/dev/null`
+RVAL=`dcop $DCOPID KarmDCOPIface deletetodo 2>/dev/null`
+RVAL=`dcop $DCOPID KarmDCOPIface deletetodo 2>/dev/null`
+RVAL=`dcop $DCOPID KarmDCOPIface setpromptdelete $GPOD 2>/dev/null`
+RVAL=`dcop $DCOPID KarmDCOPIface version 2>/dev/null`
+
+tear_down
+
+if [ "$RVAL" == "" ]; then
+ echo "FAIL $0: got no version."
+ exit 1;
+else
+ echo "PASS $0"
+ exit 0;
+fi